> For the complete documentation index, see [llms.txt](https://docs.nevogate.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nevogate.com/segedlet/fizetesi-szolgaltato-specifikus-adatok/paypal-rest/extra-parameterek.md).

# Extra paraméterek

A *PayPal REST* lehetővé teszi automatikus feliratkozások használatát és kezelését előfizetésekhez, az ehhez szükséges egyedi adatok az `Extra` paraméterben adhatók át.

A paraméterek három csoportra bonthatók:

* termékadatok (`Product`)
* előfizetési terv adatai (`Plan`)
* előfizetés adatai (`Subscription`)

Az első indított tranzakció felel az előfizetésre történő feliratkozásért, melynek lehet kezdő költsége (`setupFee`) is.

Az előfizetést létrehozó, első tranzakció indításakor figyeljen a következőkre:

* kezdő költséggel (`setupFee`) rendelkező feliratkozáshoz az első tranzakciót a kezdő költség összegével hozza létre
* kezdő költséggel (`setupFee`) **nem** rendelkező feliratkozás esetén az első tranzakciót a következő összeggel hozza létre (lenti példa):

> első tranzakció összege = darabszám x (fizetési szekvenciák első összege + szállítási költség díja)

A *PayPal REST* a feliratkozások kezeléséhez és használatához a következő szolgáltató specifikus `Extra` paraméterekkel rendelkezik:

<table data-full-width="true"><thead><tr><th width="258">Paraméter</th><th width="130">Típus</th><th width="146">Érték</th><th>Leírás</th></tr></thead><tbody><tr><td><code>isSubscriptionPayment</code></td><td>boolean</td><td>• true<br>• false</td><td>Jelzi, hogy a létrehozott tranzakció feliratkozás egy előfizetésre vagy egyszeri fizetés.</td></tr><tr><td><code>Product</code></td><td>JSON object</td><td>egyedi értékek</td><td><p>Termékre vonatkozó információk.</p><p></p><p>Részletekért tekintse meg a <em>PayPal</em> oldalát (angol):</p><p></p><p><a href="https://developer.paypal.com/docs/subscriptions/integrate/">Integrate Subscriptions</a></p></td></tr><tr><td><code>Product: Id</code></td><td>string</td><td></td><td><p><em>PayPal</em> oldalán korábban létrehozott termék egyedi azonosítója.</p><p></p><p>Használata esetén egyéb termékadatok ismételt megadására nincs szükség.</p></td></tr><tr><td><code>Plan</code></td><td>JSON object</td><td></td><td><p>Az előfizetési tervre vonatkozó adatok.</p><p></p><p>Részletekért tekintse meg a <em>PayPal</em> oldalát (angol):</p><p></p><p><a href="https://developer.paypal.com/docs/subscriptions/integrate/">Integrate Subscriptions</a></p></td></tr><tr><td><code>Plan: Id</code></td><td>string</td><td></td><td><p><em>PayPal</em> oldalán korábban létrehozott előfizetési terv egyedi azonosítója.</p><p></p><p>Használata esetén az előfizetési tervre vonatkozó egyéb adatok ismételt megadására nincs szükség.</p></td></tr><tr><td><code>Subscription</code></td><td>JSON object</td><td></td><td><p>Előfizetésre vonatkozó adatok.</p><p></p><p>Részletekért tekintse meg a <em>PayPal</em> oldalát (angol):</p><p></p><p><a href="https://developer.paypal.com/docs/subscriptions/integrate/">Integrate Subscriptions</a></p></td></tr></tbody></table>

#### Mintakód

{% code overflow="wrap" %}

```php
{
   "isSubscription":true,
   "Product":{
      "name":"Video Streaming Service",
      "description":"Video streaming service",
      "type":"SERVICE",
      "category":"SOFTWARE",
      "image_url":"https://example.com/streaming.jpg",
      "home_url":"https://example.com/home"
   },
   "Plan":{
      "name":"Basic Plan",
      "description":"Basic plan",
      "quantity_supported":true,
      "billing_cycles":[
         {
            "frequency":{
               "interval_unit":"DAY",
               "interval_count":1
            },
            "tenure_type":"TRIAL",
            "sequence":1,
            "total_cycles":1,
            "pricing_scheme":{
               "fixed_price":{
                  "value":"6",
                  "currency_code":"USD"
               }
            }
         },
         {
            "frequency":{
               "interval_unit":"DAY",
               "interval_count":1
            },
            "tenure_type":"REGULAR",
            "sequence":2,
            "total_cycles":3,
            "pricing_scheme":{
               "fixed_price":{
                  "value":"10",
                  "currency_code":"USD"
               }
            }
         }
      ],
      "payment_preferences":{
         "auto_bill_outstanding":false,
         "setup_fee_failure_action":"CANCEL",
         "setup_fee":{
            "value":"12.2",
            "currency_code":"USD"
         },
         "payment_failure_threshold":1
      }
   },
   "Subscription":{
      "quantity":"1",
      "shipping_amount":{
         "currency_code":"USD",
         "value":"11.00"
      },
      "application_context":{
         "brand_name":"example"
      }
   }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nevogate.com/segedlet/fizetesi-szolgaltato-specifikus-adatok/paypal-rest/extra-parameterek.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
